Bug 1605372

Summary: paraview: FTBFS in Fedora rawhide
Product: [Fedora] Fedora Reporter: Mohan Boddu <mboddu>
Component: paraviewAssignee: Orion Poplawski <orion>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: anto.trande, dakingun, orion
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: paraview-5.5.2-16.fc29 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-07-23 14:12:33 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1593133, 1605604    
Bug Blocks: 1602938    
Attachments:
Description Flags
build.log
none
root.log
none
state.log none

Description Mohan Boddu 2018-07-20 15:05:43 UTC
paraview failed to build from source in Fedora rawhide

https://koji.fedoraproject.org/koji/taskinfo?taskID=28210370


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
Please fix paraview at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
paraview will be orphaned. Before branching of Fedora 30,
paraview will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Mohan Boddu 2018-07-20 15:05:49 UTC
Created attachment 1465308 [details]
build.log

Comment 2 Mohan Boddu 2018-07-20 15:05:52 UTC
Created attachment 1465309 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Mohan Boddu 2018-07-20 15:05:55 UTC
Created attachment 1465310 [details]
state.log

Comment 4 Antonio T. (sagitter) 2018-07-20 17:02:41 UTC
It does not build for conflicted dependencies:

Problem: conflicting requests
DEBUG util.py:439:    - nothing provides python2-trollius >= 2.0 needed by python2-autobahn-18.6.1-1.fc29.noarch